Author Topic: Problems with update (stable repo)  (Read 1613 times)

0 Members and 1 Guest are viewing this topic.

Offline xircon

  • Held Mitglied
  • *****
  • Posts: 1064
  • Branch: Unstable
  • Desktop: Plasma
  • GPU Card: Intel 4th gen
  • GPU driver: free
  • Kernel: Always the newest!
  • Skill: Advanced
Problems with update (stable repo)
« on: 14. January 2013, 13:02:27 »
Please move if in wrong area!

Using yaourt -Syu --aur

On updating manjaro-system:

Code: [Select]
==> Removing linux-meta pkgs ...
==> Removing linux-meta pkgs - done
error: package 'fontconfig' was not found
/tmp/alpm_7jCSr5/.INSTALL: line 49: [: -lt: unary operator expected

Then run yaourt -Syu --aur again I get:

Code: [Select]
==> Continue upgrade ? [Y/n]
==> [V]iew package detail   [M]anually select packages
==> --------------------------------------------------
==> 
:: Starting full system upgrade...
warning: linux-firmware: local (20121118-1) is newer than basis (20120625-1)
warning: lirc-utils: local (1:0.9.0-34) is newer than basis (1:0.9.0-5)
:: Replace nss-myhostname with basis/systemd? [Y/n] y
warning: package-query: local (1.1-2) is newer than addon (1.1-1)
:: Replace terminal with extra/xfce4-terminal? [Y/n] y
warning: yaourt: local (1.2.2-1) is newer than addon (1.2.1-1)
resolving dependencies...
warning: dependency cycle detected:
warning: systemd will be installed before its systemd dependency
looking for inter-conflicts...
:: systemd and systemd-manjaro-units are in conflict. Remove systemd-manjaro-units? [y/N]

Advice please!

Regards

Steve

Offline Culinax

  • Support Team
  • ****
  • Posts: 1146
  • Branch: Unstable
  • Desktop: Awesome 3.5
  • GPU Card: NVIDIA GeForce 710M - Intel (Optimus)
  • GPU driver: Free Driver
  • Kernel: Linux315-x64
  • Skill: Intermediate
Re: Problems with update (stable repo)
« Reply #1 on: 14. January 2013, 13:12:33 »
I think that's because the repos are currently being synced. Wait a few hours and then try again.

The replacements are completely safe btw, those packages got merged, just in case you'd ask later :)

Edit: Link to the blog article: http://manjaro.org/2013/01/14/stable-repositories-got-updated-3/
Manjaro Awesome WM Respin: Current version: 0.8.10
Belgian/Dutch Manjaro Linux users: unite! http://manjaro-nl.org/ | IRC: #manjaro-nl

Offline xircon

  • Held Mitglied
  • *****
  • Posts: 1064
  • Branch: Unstable
  • Desktop: Plasma
  • GPU Card: Intel 4th gen
  • GPU driver: free
  • Kernel: Always the newest!
  • Skill: Advanced
Re: Problems with update (stable repo)
« Reply #2 on: 14. January 2013, 13:25:17 »
Perhaps kalu should not send out a message till they are all synced??

Thanks for the info, must have missed the first message  :-[  running update now.

Steve

Offline philm

  • Core Team
  • *****
  • Posts: 10671
    • Manjaro Linux
  • Branch: Unstable
  • Desktop: XFCE
  • GPU Card: Geforce GTX 650
  • GPU driver: non-free
  • Kernel: Maintainer - so all ;)
  • Skill: Guru
Re: Problems with update (stable repo)
« Reply #3 on: 14. January 2013, 13:36:41 »
Thx for the info. I've to update manjaro-system again. Never thought about it that fontconfig might not be installed.

Offline xircon

  • Held Mitglied
  • *****
  • Posts: 1064
  • Branch: Unstable
  • Desktop: Plasma
  • GPU Card: Intel 4th gen
  • GPU driver: free
  • Kernel: Always the newest!
  • Skill: Advanced
Re: Problems with update (stable repo)
« Reply #4 on: 14. January 2013, 13:45:24 »
No problem :)  Phil, can a time delay be placed on kalu's messages at boot?  They appear very early on boot-up (soon after log-in) and are easily missed.

Steve

Offline philm

  • Core Team
  • *****
  • Posts: 10671
    • Manjaro Linux
  • Branch: Unstable
  • Desktop: XFCE
  • GPU Card: Geforce GTX 650
  • GPU driver: non-free
  • Kernel: Maintainer - so all ;)
  • Skill: Guru
Re: Problems with update (stable repo)
« Reply #5 on: 14. January 2013, 14:10:44 »
We don't code this application. You can display those notifications longer. That you can change in the settings menu of Kalu. Write a feature request or mail Olivier Brunel directly.

Offline xircon

  • Held Mitglied
  • *****
  • Posts: 1064
  • Branch: Unstable
  • Desktop: Plasma
  • GPU Card: Intel 4th gen
  • GPU driver: free
  • Kernel: Always the newest!
  • Skill: Advanced
Re: Problems with update (stable repo)
« Reply #6 on: 14. January 2013, 16:18:12 »
I seem to have fontconfig-ubuntu installed, can't remember why!

Will write a script to delay kalu loading.

Cheers

Steve

Offline philm

  • Core Team
  • *****
  • Posts: 10671
    • Manjaro Linux
  • Branch: Unstable
  • Desktop: XFCE
  • GPU Card: Geforce GTX 650
  • GPU driver: non-free
  • Kernel: Maintainer - so all ;)
  • Skill: Guru
Re: Problems with update (stable repo)
« Reply #7 on: 14. January 2013, 16:35:10 »
You found a bug and that is fixed by now. Thx for reporting it.